#include <QApplication>

#include "MainWindow.h"
#include "DaemonThreadManager.h"


int main(int argc, char **argv)
{
	QApplication app(argc, argv);

	QFile file(":dracalview.qss");
	file.open(QFile::ReadOnly);
	QString stylesheet = QLatin1String(file.readAll());
	app.setStyleSheet(stylesheet);

	MainWindow *window = new MainWindow();
	window->show();

	app.exec();

	// Wait for threads to shut down cleanly
	DaemonThreadManager::instance().shutdown();

}
